import 'package:json_annotation/json_annotation.dart';

part 'IR5Address.g.dart';

@JsonSerializable()
class IR5Address {
  const IR5Address({
    required this.Attention,
    required this.Street,
    required this.ZipCode,
    required this.City,
    required this.Country,
  });

  factory IR5Address.fromJson(Map<String, dynamic>? json) =>
      _$IR5AddressFromJson(json ?? {});
  Map<String, dynamic> toJson() => _$IR5AddressToJson(this);

  @JsonKey(defaultValue: '')
  final String Attention;
  @JsonKey(defaultValue: '')
  final String Street;
  @JsonKey(defaultValue: '')
  final String ZipCode;
  @JsonKey(defaultValue: '')
  final String City;
  @JsonKey(defaultValue: '')
  final String Country;
}
