import 'package:json_annotation/json_annotation.dart';

import "IR5CarteOnglet.dart" show IR5CarteOnglet;

part 'IR5Carte.g.dart';

// --------------------------------------------------------------------------------
@JsonSerializable(explicitToJson: true)
class IR5Carte {
  IR5Carte({
    required this.Onglets,
  });

  factory IR5Carte.fromJson(Map<String, dynamic>? json) =>
      _$IR5CarteFromJson(json ?? {});
  Map<String, dynamic> toJson() => _$IR5CarteToJson(this);

  @JsonKey(defaultValue: [])
  final List<IR5CarteOnglet> Onglets;
}
