// --------------------------------------------------------------------------------

import 'package:json_annotation/json_annotation.dart';

part 'IR5Delivry.g.dart';

/** Delivry Or Take Away Info .
 * **** WORK IN PROGRESS ****
 */
@JsonSerializable()
class IR5Delivry {
  IR5Delivry({
    required this.DateTime,
    this.Flags,
    this.TicketProdDelay,
    this.Name,
    this.Msg,
    this.Note,
    this.Memo,
    this.Location,
    this.Addr,
    this.Tel,
  });

  factory IR5Delivry.fromJson(Map<String, dynamic>? json) => _$IR5DelivryFromJson(json ?? {});
  Map<String, dynamic> toJson() => _$IR5DelivryToJson(this);

  /** Date Time Formatted as yyyy-mm-dd hh:mm - hh:mm */
  final String DateTime;

  /** Flags (Pickup(Bit1=2),Delivry(Bit2=4),...) */
  final int? Flags;

  /** TicketProdDelay x minutes before delivry time */
  final int? TicketProdDelay;

  /** Just a Name. */
  final String? Name;

  /** Free Info Message. */
  final String? Msg;

  /** Free Note Message. */
  final String? Note;

  /** Free Memo Message. */
  final String? Memo;

  /** Location (CityZone,...) */
  final String? Location;

  /** Address */
  final String? Addr;

  /** Tel Number */
  final String? Tel;
}
