import 'package:json_annotation/json_annotation.dart';

import "IR5ModePay.dart" show IR5ModePayBtn;

part 'IR5EnCaisse.g.dart';

// --------------------------------------------------------------------------------
@JsonSerializable(explicitToJson: true)
class IR5EnCaisse {
  IR5EnCaisse({
    required this.EnCaisseImg,
    required this.Btns,
  });

  factory IR5EnCaisse.fromJson(Map<String, dynamic>? json) =>
      _$IR5EnCaisseFromJson(json ?? {});
  Map<String, dynamic> toJson() => _$IR5EnCaisseToJson(this);

  @JsonKey(defaultValue: '')
  final String EnCaisseImg;
  @JsonKey(defaultValue: [])
  final List<IR5ModePayBtn> Btns;
}
