import 'package:json_annotation/json_annotation.dart';

// import "LedgerDef.dart" show HistoAction;

part 'IR5PointagePay.g.dart';

// --------------------------------------------------------------------------------
@JsonSerializable(explicitToJson: true)
class IR5PointagePay {
  IR5PointagePay({
    this.PLU,
    this.Action,
    this.NomPLU,
    this.TotalTTC,
  });

  factory IR5PointagePay.fromJson(Map<String, dynamic>? json) => _$IR5PointagePayFromJson(json ?? {});
  Map<String, dynamic> toJson() => _$IR5PointagePayToJson(this);

  final String? PLU;

  /** Action Pay Subset [P:Charge Cpte Cli, ...] */
  final String? Action;
  final String? NomPLU;
  final double? TotalTTC;
}
