// import "IR5Carte.dart" show IR5Carte;

import 'package:json_annotation/json_annotation.dart';

import 'IR5Accueil.dart' show IR5Accueil;
import 'IR5Carte.dart' show IR5Carte;
import "IR5EnCaisse.dart" show IR5EnCaisse;

part 'IR5Restomax.g.dart';

// --------------------------------------------------------------------------------
@JsonSerializable(explicitToJson: true)
class IR5Restomax {
  IR5Restomax({
    required this.Accueil,
    required this.Carte,
    required this.EnCaisse,
  });

  factory IR5Restomax.fromJson(Map<String, dynamic>? json) =>
      _$IR5RestomaxFromJson(json ?? {});
  Map<String, dynamic> toJson() => _$IR5RestomaxToJson(this);

  // IR5Accueil Accueil;
  final IR5Accueil Accueil;
  // IR5Carte Carte;
  final IR5Carte Carte;
  // IR5EnCaisse EnCaisse;
  final IR5EnCaisse EnCaisse;
}
