import 'package:json_annotation/json_annotation.dart';

import "IR5StaffBtn.dart" show IR5StaffBtn;

part 'IR5Accueil.g.dart';

// --------------------------------------------------------------------------------
@JsonSerializable(explicitToJson: true)
class IR5Accueil {
  IR5Accueil({
    required this.AccueilImg,
    required this.Message,
    required this.Mode,
    required this.Btns,
  });

  factory IR5Accueil.fromJson(Map<String, dynamic>? json) => _$IR5AccueilFromJson(json ?? {});
  Map<String, dynamic> toJson() => _$IR5AccueilToJson(this);

  @JsonKey(defaultValue: 0)
  final int AccueilImg;
  @JsonKey(defaultValue: '')
  final String Message;
  @JsonKey(defaultValue: '')
  final String Mode;
  @JsonKey(defaultValue: [])
  final List<IR5StaffBtn> Btns;
}
