// --------------------------------------------------------------------------------

import 'package:json_annotation/json_annotation.dart';

part 'IR5Route2PtrLnk.g.dart';

/** Station Printer Links definition */
@JsonSerializable()
class IR5Route2PtrLnk {
  IR5Route2PtrLnk({
    required this.Desti,
    required this.Station,
    required this.Order,
    required this.Ptrs,
    required this.Layouts,
  });

  factory IR5Route2PtrLnk.fromJson(Map<String, dynamic>? json) => _$IR5Route2PtrLnkFromJson(json ?? {});

  Map<String, dynamic> toJson() => _$IR5Route2PtrLnkToJson(this);
  @JsonKey(defaultValue: 0)
  final int Desti;
  @JsonKey(defaultValue: 0)
  final int Station;
  @JsonKey(defaultValue: 0)
  final int Order;
  @JsonKey(defaultValue: 0)
  final int Ptrs;
  @JsonKey(defaultValue: 0)
  final int Layouts;
}
